SdnControllerChangeHost
SdnControllerChangeHost
PUT
/zstack/v1/sdn-controllers/{sdnControllerUuid}/hosts/{hostUuid}/actionsOperation ID
SdnControllerChangeHostSince
5.3.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
sdnControllerUuidStringRequiredThe SDN controller UUID.
hostUuidStringRequiredThe host UUID.
Body Fields
thesdnControllerChangeHoststructureObjectRequiredthesdnControllerChangeHoststructure request body object.
vSwitchTypeStringOptional. The virtual switch type.
nicNamesListOptional. The list of physical server's nic names.
netmaskStringOptional. The physical server's VTEP IP netmask.
bondModeStringOptional. The physical server's bond mode.
sdnControllerChangeHoststructureObjectRequiredsdnControllerChangeHoststructure request body object.
vtepIpStringOptional. The physical server's VTEP IP.
lacpModeStringOptional. The physical server's LACP mode.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
200 OKChange History
View all change historyChange TimeChange SummaryAction
Change Time
AddedRequest body fields sdnControllerChangeHoststructure, thesdnControllerChangeHoststructureView API
